wxWidgets: wxLanguageInfo Struct Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
wxLanguageInfo Struct Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/intl.h>`

## Detailed Description

Encapsulates a wxLanguage identifier together with OS-specific information related to that language.

wxPerl Note: In wxPerl `Wx::LanguageInfo` has only one method:

- Wx::LanguageInfo->new(language, canonicalName, WinLang, WinSubLang, Description)

## Public Member Functions
wxUint32 | GetLCID () const
| Return the LCID corresponding to this language.
wxString | GetLocaleName () const
| Return the locale name corresponding to this language usable with `setlocale()` on the current system.

## Public Attributes
int | Language
| wxLanguage id.
wxString | CanonicalName
| Canonical name of the language, e.g. `fr_FR`.
wxUint32 | WinLang
| Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).
wxUint32 | WinSublang
wxString | Description
| Human-readable name of the language.
wxLayoutDirection | LayoutDirection
| The layout direction used for this language.

## Member Function Documentation

## ◆ GetLCID()

wxUint32 wxLanguageInfo::GetLCID | ( |  | ) | const

Return the LCID corresponding to this language.

Availability: only available for the wxMSW port.

## ◆ GetLocaleName()

wxString wxLanguageInfo::GetLocaleName | ( |  | ) | const

Return the locale name corresponding to this language usable with `setlocale()` on the current system.

If setting locale for this language is not supported, the returned string is empty.

## Member Data Documentation

## ◆ CanonicalName

wxString wxLanguageInfo::CanonicalName

Canonical name of the language, e.g. `fr_FR`.

## ◆ Description

wxString wxLanguageInfo::Description

Human-readable name of the language.

## ◆ Language

int wxLanguageInfo::Language

wxLanguage id.

It should be greater than `wxLANGUAGE_USER_DEFINED` when defining your own language info structure.

## ◆ LayoutDirection

wxLayoutDirection wxLanguageInfo::LayoutDirection

The layout direction used for this language.

## ◆ WinLang

wxUint32 wxLanguageInfo::WinLang

Win32 language identifiers (LANG_xxxx, SUBLANG_xxxx).

Availability: only available for the wxMSW port.

## ◆ WinSublang

wxUint32 wxLanguageInfo::WinSublang